Bug 2062984 - Branch and build libappindicator for EPEL 9
Summary: Branch and build libappindicator for EPEL 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libappindicator
Version: epel9
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Oliver Ilian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2097918 2101257
Blocks: EPEL9MATE 2062906
TreeView+ depends on / blocked
 
Reported: 2022-03-11 05:02 UTC by Neal Gompa
Modified: 2022-06-28 01:43 UTC (History)
9 users (show)

Fixed In Version: libappindicator-12.10.0-33.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-28 01:43:28 UTC
Type: Task
Embargoed:


Attachments (Terms of Use)

Description Neal Gompa 2022-03-11 05:02:19 UTC
Please branch and build libappindicator in epel9.

If you do not wish to maintain libappindicator in epel9,
or do not think you will be able to do this in a timely manner,
the EPEL Packagers SIG would be happy to be a co-maintainer of the package;
please add the epel-packagers-sig group through
https://src.fedoraproject.org/rpms/libappindicator/addgroup
and grant it commit access, or collaborator access on epel* branches.

Comment 1 Phil Wyett 2022-04-29 06:29:48 UTC
A note. remmina requires this package. If the current EPEL maintainer does not wish to maintain, then contact me and I will be happy to take it.

Comment 2 Phil Wyett 2022-05-18 11:12:22 UTC
(In reply to Phil Wyett from comment #1)
> A note. remmina requires this package. If the current EPEL maintainer does
> not wish to maintain, then contact me and I will be happy to take it.

RHEL 9.0 has now been released and a decision to build this for EL9 as the maintainer needs to be made.

Comment 3 Neal Gompa 2022-05-18 11:18:36 UTC
Will you be able to branch and build libappindicator in epel9?
The EPEL Packagers SIG would be happy to be a co-maintainer
if you do not wish to build it on epel9.

Comment 4 Oliver Ilian 2022-05-19 11:58:23 UTC
Hi Team

I currently have no time to look into this. Sorry.

Cheers
Oliver

Comment 5 Neal Gompa 2022-05-19 14:49:49 UTC
(In reply to Oliver Ilian from comment #4)
> Hi Team
> 
> I currently have no time to look into this. Sorry.
> 

If you want, you can add me as an admin so I can take care of this for you?

Comment 6 Neal Gompa 2022-05-19 14:50:02 UTC
My FAS ID is ngompa.

Comment 7 Oliver Ilian 2022-06-02 15:31:28 UTC
Sorry for the delay, Neal. I have added you now as admin.

Comment 8 Neal Gompa 2022-06-02 16:15:23 UTC
(In reply to Oliver Ilian from comment #7)
> Sorry for the delay, Neal. I have added you now as admin.

I don't see it? https://src.fedoraproject.org/rpms/libappindicator

Comment 9 Robert Scheck 2022-06-16 21:39:56 UTC
Is there any chance that this moves forward?

Comment 10 Neal Gompa 2022-06-16 23:10:01 UTC
(In reply to Robert Scheck from comment #9)
> Is there any chance that this moves forward?

I just realized we're missing a couple of dependencies: libdbusmenu and libindicator.

I'm a co-maintainer for libindicator already, so I've requested that branch.

But, libdbusmenu is still missing, and I've filed bug 2097918 to ask for maintainer privileges there.

Comment 11 Oliver Ilian 2022-06-20 08:00:19 UTC
Hi Neal,

please try again.

Thanks
Oliver

Comment 12 Neal Gompa 2022-06-23 00:19:49 UTC
(In reply to Oliver Ilian from comment #11)
> Hi Neal,
> 
> please try again.
> 
> Thanks
> Oliver

I see I have admin privileges now for libappindicator. Thanks!

Could you also do the same for libdbusmenu?

Comment 13 Oliver Ilian 2022-06-23 07:11:40 UTC
Hi Neal,

done.

Cheers
Oliver

Comment 14 Neal Gompa 2022-06-23 12:23:39 UTC
(In reply to Oliver Ilian from comment #13)
> Hi Neal,
> 
> done.
> 
> Cheers
> Oliver

Alright, made the branch requests, now I just have to wait for releng...

Comment 15 Fedora Update System 2022-06-27 00:01:58 UTC
FEDORA-EPEL-2022-b6ebb75b45 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b6ebb75b45

Comment 16 Fedora Update System 2022-06-27 02:10:17 UTC
FEDORA-EPEL-2022-b6ebb75b45 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-b6ebb75b45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-06-28 01:43:28 UTC
FEDORA-EPEL-2022-b6ebb75b45 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.